#pragma once
#include "BattleAI.h"

namespace et{
	class Action;
	

	class NormalAI : public BattleAI
	{
	protected:
		
	public:
		NormalAI(mof::DataResourceManager* pDataResoourceManager);
		~NormalAI();
		virtual Action* createAction(DataBasedBattler* pOwn , BattlerGroup* pGroup);
	};

}
